iOS 7.1 changes for over-the-air app installation

Luk Dhondt iOS

If you are distributing Twixl Publisher builds in-house with over-the-air (OTA) installation and have upgraded your devices to iOS 7.1, you may have run into an error message that says 'Cannot install applications because the certificate for [URL] is not valid.' 140318_0953_IMG_0600 Apparently, iOS 7.1 OTA installations now require SSL validation in order to install properly.

SSL

How to solve this:
  • install an SSL certificate for your distribution server, then create over-the-air install files with the https URL.
  • alternatively go back to good old iTunes syncing: add the .ipa file to iTunes and sync with your device
  • Tweet this article: iOS 7.1 changes for over-the-air app installation

    Share this post to your network.

Download the free trial of Twixl Publisher

Start using Twixl Publisher immediately, preview the result on your own device, share your creations with a colleague or client, get started!
Need any help? Visit our documentation site.

Download the trial Check out the documentation today

× Free trial/download